import { basis } from "./basis.js";
function basisClosed_default(t) {
	var n = t.length;
	return function(r) {
		var i = Math.floor(((r %= 1) < 0 ? ++r : r) * n), a = t[(i + n - 1) % n], o = t[i % n], s = t[(i + 1) % n], c = t[(i + 2) % n];
		return basis((r - i / n) * n, a, o, s, c);
	};
}
export { basisClosed_default as default };
